Runtime

## org.eclipse.gmf.runtime.emf.core.resources
Class GMFLoad

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.XMLLoadImpl
          org.eclipse.emf.ecore.xmi.impl.XMILoadImpl
              org.eclipse.gmf.runtime.emf.core.resources.GMFLoad

All Implemented Interfaces:
  org.eclipse.emf.ecore.xmi.XMLLoad

    public class GMFLoad

extends org.eclipse.emf.ecore.xmi.impl.XMILoadImpl

This class changes the behavior of the default XMILoader so that UnresolvedReferenceExceptions are not thrown back.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.xmi.impl.XMLLoadImpl
`org.eclipse.emf.ecore.xmi.impl.XMLLoadImpl.AttributesProxy`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.XMLLoadImpl
`BUFFER_SIZE, helper, is, namespaceAware, options, resource, SAX_LEXICAL_PROPERTY`

Constructor Summary
`GMFLoad(org.eclipse.emf.ecore.xmi.XMLHelper helper)` Constructor.

Method Summary
`void` `load(org.eclipse.emf.ecore.xmi.XMLResource r, java.io.InputStream s, java.util.Map o)`
`protected org.xml.sax.helpers.DefaultHandler` `makeDefaultHandler()`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLLoadImpl
`createDefaultHandler, getEncoding, handleErrors, load, load, makeParser, readBuffer, traverse, traverseElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GMFLoad

    public GMFLoad(org.eclipse.emf.ecore.xmi.XMLHelper helper)

  Constructor.

Method Detail

### load

    public void load(org.eclipse.emf.ecore.xmi.XMLResource r,
                     java.io.InputStream s,
                     java.util.Map o)
              throws java.io.IOException

  Specified by:
    `load` in interface `org.eclipse.emf.ecore.xmi.XMLLoad`
  Overrides:
    `load` in class `org.eclipse.emf.ecore.xmi.impl.XMLLoadImpl`
  Throws:
    `java.io.IOException`
  See Also:
    `XMLLoad.load(org.eclipse.emf.ecore.xmi.XMLResource, java.io.InputStream, java.util.Map)`

### makeDefaultHandler

    protected org.xml.sax.helpers.DefaultHandler makeDefaultHandler()

  Overrides:
    `makeDefaultHandler` in class `org.eclipse.emf.ecore.xmi.impl.XMILoadImpl`
  See Also:
    `XMLLoadImpl.makeDefaultHandler()`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.